## NMSettingBridge

NMSettingBridge — Describes connection properties for bridges

## Functions

NMSetting * | nm_setting_bridge_new ()
const char * | nm_setting_bridge_get_mac_address ()
gboolean | nm_setting_bridge_get_stp ()
guint16 | nm_setting_bridge_get_priority ()
guint16 | nm_setting_bridge_get_forward_delay ()
guint16 | nm_setting_bridge_get_hello_time ()
guint16 | nm_setting_bridge_get_max_age ()
guint32 | nm_setting_bridge_get_ageing_time ()
gboolean | nm_setting_bridge_get_multicast_snooping ()

## Properties

guint | ageing-time | Read / Write / Construct
guint | forward-delay | Read / Write / Construct
guint | hello-time | Read / Write / Construct
gchar * | mac-address | Read / Write
guint | max-age | Read / Write / Construct
gboolean | multicast-snooping | Read / Write / Construct
guint | priority | Read / Write / Construct
gboolean | stp | Read / Write / Construct

## Types and Values

#define | NM_SETTING_BRIDGE_SETTING_NAME
#define | NM_SETTING_BRIDGE_MAC_ADDRESS
#define | NM_SETTING_BRIDGE_STP
#define | NM_SETTING_BRIDGE_PRIORITY
#define | NM_SETTING_BRIDGE_FORWARD_DELAY
#define | NM_SETTING_BRIDGE_HELLO_TIME
#define | NM_SETTING_BRIDGE_MAX_AGE
#define | NM_SETTING_BRIDGE_AGEING_TIME
#define | NM_SETTING_BRIDGE_MULTICAST_SNOOPING
| NMSettingBridge

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingBridge

## Description

The NMSettingBridge object is a NMSetting subclass that describes properties necessary for bridging connections.

## Functions

### nm_setting_bridge_new ()

    NMSetting *
    nm_setting_bridge_new (void);

Creates a new NMSettingBridge object with default values.

#### Returns

the new empty NMSettingBridge object.

[transfer full]

### nm_setting_bridge_get_mac_address ()

    const char *
    nm_setting_bridge_get_mac_address (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “mac-address” property of the setting

### nm_setting_bridge_get_stp ()

    gboolean
    nm_setting_bridge_get_stp (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “stp” property of the setting

### nm_setting_bridge_get_priority ()

    guint16
    nm_setting_bridge_get_priority (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “priority” property of the setting

### nm_setting_bridge_get_forward_delay ()

    guint16
    nm_setting_bridge_get_forward_delay (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “forward-delay” property of the setting

### nm_setting_bridge_get_hello_time ()

    guint16
    nm_setting_bridge_get_hello_time (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “hello-time” property of the setting

### nm_setting_bridge_get_max_age ()

    guint16
    nm_setting_bridge_get_max_age (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “max-age” property of the setting

### nm_setting_bridge_get_ageing_time ()

    guint32
    nm_setting_bridge_get_ageing_time (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “ageing-time” property of the setting

### nm_setting_bridge_get_multicast_snooping ()

    gboolean
    nm_setting_bridge_get_multicast_snooping
                                   (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-snooping” property of the setting

Since: 1.2

## Types and Values

### NM_SETTING_BRIDGE_SETTING_NAME

    #define NM_SETTING_BRIDGE_SETTING_NAME "bridge"

### NM_SETTING_BRIDGE_MAC_ADDRESS

    #define NM_SETTING_BRIDGE_MAC_ADDRESS    "mac-address"

### NM_SETTING_BRIDGE_STP

    #define NM_SETTING_BRIDGE_STP            "stp"

### NM_SETTING_BRIDGE_PRIORITY

    #define NM_SETTING_BRIDGE_PRIORITY       "priority"

### NM_SETTING_BRIDGE_FORWARD_DELAY

    #define NM_SETTING_BRIDGE_FORWARD_DELAY  "forward-delay"

### NM_SETTING_BRIDGE_HELLO_TIME

    #define NM_SETTING_BRIDGE_HELLO_TIME     "hello-time"

### NM_SETTING_BRIDGE_MAX_AGE

    #define NM_SETTING_BRIDGE_MAX_AGE        "max-age"

### NM_SETTING_BRIDGE_AGEING_TIME

    #define NM_SETTING_BRIDGE_AGEING_TIME    "ageing-time"

### NM_SETTING_BRIDGE_MULTICAST_SNOOPING

    #define NM_SETTING_BRIDGE_MULTICAST_SNOOPING "multicast-snooping"

### NMSettingBridge

    typedef struct _NMSettingBridge NMSettingBridge;

## Property Details

### The `“ageing-time”` property

      “ageing-time”              guint

The Ethernet MAC address aging time, in seconds.

Flags: Read / Write / Construct

Allowed values: <= 1000000

Default value: 300

### The `“forward-delay”` property

      “forward-delay”            guint

The Spanning Tree Protocol (STP) forwarding delay, in seconds.

Flags: Read / Write / Construct

Allowed values: <= 30

Default value: 15

### The `“hello-time”` property

      “hello-time”               guint

The Spanning Tree Protocol (STP) hello time, in seconds.

Flags: Read / Write / Construct

Allowed values: <= 10

Default value: 2

### The `“mac-address”` property

      “mac-address”              gchar *

If specified, the MAC address of bridge. When creating a new bridge, this MAC address will be set. When matching an existing (outside NetworkManager created) bridge, this MAC address must match.

Flags: Read / Write

Default value: NULL

### The `“max-age”` property

      “max-age”                  guint

The Spanning Tree Protocol (STP) maximum message age, in seconds.

Flags: Read / Write / Construct

Allowed values: <= 40

Default value: 20

### The `“multicast-snooping”` property

      “multicast-snooping”       gboolean

Controls whether IGMP snooping is enabled for this bridge. Note that if snooping was automatically disabled due to hash collisions, the system may refuse to enable the feature until the collisions are resolved.

Flags: Read / Write / Construct

Default value: TRUE

Since: 1.2

### The `“priority”` property

      “priority”                 guint

Sets the Spanning Tree Protocol (STP) priority for this bridge. Lower values are "better"; the lowest priority bridge will be elected the root bridge.

Flags: Read / Write / Construct

Allowed values: <= 65535

Default value: 32768

### The `“stp”` property

      “stp”                      gboolean

Controls whether Spanning Tree Protocol (STP) is enabled for this bridge.

Flags: Read / Write / Construct

Default value: TRUE